package com.gihon.security.pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * 自定义实体类型，一定要和SpringSecurity提供的User类型区分开。
 * 自定义的实体中，经常有User类型。
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode
@ToString
public class User implements Serializable {
    private Long id;
    private String username;
    private String password;
}
